package com.google.android.play.core.tasks;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import java.util.concurrent.Executor;

public final class k<ResultT> implements n<ResultT> {
    public final Object LIZ = new Object();
    public final b LIZIZ;
    public final Executor LIZJ;

    static {
        Covode.recordClassIndex(44417);
    }

    public k(Executor executor, b bVar) {
        this.LIZJ = executor;
        this.LIZIZ = bVar;
    }

    public final void LIZ(e<ResultT> eVar) {
        b bVar;
        MethodCollector.i(9403);
        if (!eVar.LIZIZ()) {
            synchronized (this.LIZ) {
                try {
                    bVar = this.LIZIZ;
                } catch (Throwable th) {
                    MethodCollector.o(9403);
                    throw th;
                }
            }
            if (bVar == null) {
                MethodCollector.o(9403);
                return;
            }
            this.LIZJ.execute(new j(this, eVar));
            MethodCollector.o(9403);
            return;
        }
        MethodCollector.o(9403);
    }
}
